# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
collection = pc.collections.create(name="example-collection", source="docs-example")
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const collection = await pc.collections.create({
name: 'example-collection',
source: 'docs-example',
});
console.log(collection.name, collection.status);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collection, err := pc.CreateCollection(ctx, &pinecone.CreateCollectionRequest{
Name: "example-collection",
Source: "docs-example",
})
if err != nil {
log.Fatalf("Failed to create collection: %v", err)
}
fmt.Println(collection.Name, collection.Status)
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -s "https://api.pinecone.io/collections" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-collection",
"source": "docs-example"
}'
{
"name": "example-collection",
"status": "Initializing",
"environment": "us-east1-gcp",
"size": 10000000,
"dimension": 1536,
"vector_count": 120000
}Create a collection
Create a Pinecone collection.
Collections are supported only for pod-based indexes. Pod-based indexes cannot be created with API version 2026-07, so this operation applies to pod-based indexes created with an earlier API version.
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
collection = pc.collections.create(name="example-collection", source="docs-example")
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const collection = await pc.collections.create({
name: 'example-collection',
source: 'docs-example',
});
console.log(collection.name, collection.status);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collection, err := pc.CreateCollection(ctx, &pinecone.CreateCollectionRequest{
Name: "example-collection",
Source: "docs-example",
})
if err != nil {
log.Fatalf("Failed to create collection: %v", err)
}
fmt.Println(collection.Name, collection.Status)
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -s "https://api.pinecone.io/collections" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-collection",
"source": "docs-example"
}'
{
"name": "example-collection",
"status": "Initializing",
"environment": "us-east1-gcp",
"size": 10000000,
"dimension": 1536,
"vector_count": 120000
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
collection = pc.collections.create(name="example-collection", source="docs-example")
print(collection.name, collection.status)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const collection = await pc.collections.create({
name: 'example-collection',
source: 'docs-example',
});
console.log(collection.name, collection.status);
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
collection, err := pc.CreateCollection(ctx, &pinecone.CreateCollectionRequest{
Name: "example-collection",
Source: "docs-example",
})
if err != nil {
log.Fatalf("Failed to create collection: %v", err)
}
fmt.Println(collection.Name, collection.Status)
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -s "https://api.pinecone.io/collections" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-d '{
"name": "example-collection",
"source": "docs-example"
}'
Authorizations
Headers
Required date-based version header
Body
The configuration needed to create a Pinecone collection.
The name of the collection to be created. Resource name must be 1-45 characters long, start and end with an alphanumeric character, and consist only of lower case alphanumeric characters or '-'.
1 - 45The name of the index to be used as the source for the collection.
"example-source-index"
Response
The collection has been successfully created.
The CollectionModel describes the configuration and status of a Pinecone collection.
The name of the collection.
"example-collection"
The status of the collection.
Possible values: Initializing, Ready, Terminating, or Terminated.
"Initializing"
The environment where the collection is hosted.
"us-east1-gcp"
The size of the collection in bytes.
10000000
The dimension of the vectors stored in each record held in the collection.
1 <= x <= 200001536
The number of records stored in the collection.
120000
Was this page helpful?